Subject: bug#27804: 26.0.50; Emacs backgrounds itself during package-list-packages on WSL

From: Josh Howard <[email-masked]>
Date: Mon, 24 Jul 2017 18:06:09 +0000

I think by some definition of supported, yes. It's "beta"; I can add onto the bug report listed below, but figured the Emacs community could provide more meaningful debugging help.

From: Glenn Morris <[email-masked]>
Sent: Monday, July 24, 2017 10:34 AM
To: Josh Howard
Cc: [email-masked]
Subject: Re: bug#27804: 26.0.50; Emacs backgrounds itself during package-list-packages on WSL
    
Josh Howard wrote:

> When running Emacs in "Bash on Ubuntu on Windows" (WSL) and executing
> M-x package-list-packages, you will get the typical list of packages.
> Hitting a movement key (C-n, down arrow, etc.) will cause Emacs to
> background (STOP) itself. You can 'fg' the process, but it's in
> essentially a useless state at that point. 

Does Microsoft support "Bash on Ubuntu on Windows"?

https://github.com/Microsoft/BashOnWindows/issues/2088

 https://avatars1.githubusercontent.com/u/17799180?v=4&s=400 

Emacs crashes when I use "M-x list-packages" #2088 - GitHub
github.com
Join GitHub today. GitHub is home to over 20 million developers working together to host and review code, manage projects, and build software together.